All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::symbolic_binder Class Referenceabstract

`#include <forwards.h>`

Inheritance diagram for viennacl::device_specific::symbolic_binder:

## Public Member Functions

virtual | ~symbolic_binder ()
virtual bool | bind (viennacl::backend::mem_handle const *ph)=0
virtual unsigned int | get (viennacl::backend::mem_handle const *ph)=0

## Detailed Description

Definition at line 216 of file forwards.h.

## Constructor & Destructor Documentation

virtual viennacl::device_specific::symbolic_binder::~symbolic_binder | ( |  | ) |

inline virtual

Definition at line 219 of file forwards.h.

## Member Function Documentation

virtual bool viennacl::device_specific::symbolic_binder::bind | ( | viennacl::backend::mem_handle const * | ph | ) |

pure virtual

Implemented in viennacl::device_specific::bind_all_unique, and viennacl::device_specific::bind_to_handle.

virtual unsigned int viennacl::device_specific::symbolic_binder::get | ( | viennacl::backend::mem_handle const * | ph | ) |

pure virtual

Implemented in viennacl::device_specific::bind_all_unique, and viennacl::device_specific::bind_to_handle.

The documentation for this class was generated from the following file:

- viennacl/device_specific/forwards.h